VREDefinitionService (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.client

## Interface VREDefinitionService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    VREDefinitionServiceImpl

      @RemoteServiceRelativePath(value="VREDefinitionServiceImpl")
      public interface VREDefinitionService
      extends com.google.gwt.user.client.rpc.RemoteService

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getExistingNames()`
    `VREFunctionalityModel` | `getFunctionality(boolean isEdit)`
    `ArrayList<ExternalResourceModel>` | `getResourceCategoryByFunctionality(String funcId)`
    `Map<String,Object>` | `getVRE()`
    `Map<String,Object>` | `isEditMode()`
    `String` | `setVRE(VREDescriptionBean bean, String[] functionalityIDs, HashMap<String,List<ExternalResourceModel>> funcToExternalResources)`

- - ### Method Detail

    - #### getResourceCategoryByFunctionality

          ArrayList<ExternalResourceModel> getResourceCategoryByFunctionality(String funcId)

    - #### getExistingNames

          String[] getExistingNames()

      Returns:
        VRE Existing Names

    - #### getVRE

          Map<String,Object> getVRE()
                                    throws VREDefinitionException

      Throws:
        `VREDefinitionException`

    - #### setVRE

          String setVRE(VREDescriptionBean bean,
                      String[] functionalityIDs,
                      HashMap<String,List<ExternalResourceModel>> funcToExternalResources)
                        throws VREDefinitionException

      Parameters:
        `name` - VRE name
        `description` - VRE description
        `designer` - VRE designer
        `manager` - VRE manager
        `fromDate` - VRE start date
        `toDate` - VRE end date
      Returns:
        OK string if the operation is performed correctly
      Throws:
        `VREDefinitionException`

    - #### getFunctionality

          VREFunctionalityModel getFunctionality(boolean isEdit)
                                                 throws VREDefinitionException

      Throws:
        `VREDefinitionException`

    - #### isEditMode

          Map<String,Object> isEditMode()

Copyright © 2016. All Rights Reserved.